Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.
This section documents the sources data in the Google AI Overview: the pages Google cites in the AI Overview answer. It is returned by the Google Search endpoint when you set include.aioverview, so no separate API call is needed.
{ "success": true, "result": { "aioverview": { "sources": [ { "position": 1, "url": "https://example.com/best-dev-laptops", "label": "Best laptops for developers", "description": "Guide to laptops for software development." } ] } }}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"cloro","colors":{"primary":"#60A5FA","light":"#93C5FD","dark":"#3B82F6"},"logo":{"light":"https://mintcdn.com/cloro/31REGvIJOWq8_kV2/logo/light.svg?fit=max\u0026auto=format\u0026n=31REGvIJOWq8_kV2\u0026q=85\u0026s=9649c139f2768786bbd491a86c1a9dd9","dark":"https://mintcdn.com/cloro/31REGvIJOWq8_kV2/logo/dark.svg?fit=max\u0026auto=format\u0026n=31REGvIJOWq8_kV2\u0026q=85\u0026s=8b254a805d19d5a08a152025628fc518","href":"https://cloro.dev/"},"favicon":"https://mintcdn.com/cloro/JJLSAXWoRDaE6XhQ/favicon.ico?fit=max\u0026auto=format\u0026n=JJLSAXWoRDaE6XhQ\u0026q=85\u0026s=fb070a58a43d3a399505f112fcb2cf5b","api":{"playground":{"proxy":false}},"navbar":{"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.cloro.dev/"}},"footer":{"socials":{"github":"https://github.com/cloro-dev","website":"https://cloro.dev/"}},"seo":{"metatags":{"canonical":"https://cloro.dev/docs"}},"integrations":{"posthog":{"apiKey":"phc_O2d3bu6YrOXrcUYH9E1Dx6zc4kkW8eez5qXOFbBWii3","apiHost":"https://reverseproxy.cloro.dev"}},"banner":{"content":"The AI Assistant is here to help — ask it anything instead of browsing through the pages.","dismissible":true},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cloro","hasAudioNarration":false,"actualSubdomain":"cloro","customDomains":["cloro.dev"],"gitSource":{"type":"github","owner":"cloro-dev","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea0d89e52981415f8d28bf","collectionId":"af5b2b45-2d7a-4d73-97ff-517658910adf","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea0d89e52981415f8d28bf"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"}},"buildId":"6aebb18dbb99e4d1e9f33f81","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"API Reference","count":61},{"language":"default","tag":"Documentation","count":22},{"language":"default","tag":"Google","count":14},{"language":"default","tag":"Guides","count":12},{"language":"default","tag":"AI Mode","count":10},{"language":"default","tag":"ChatGPT","count":10},{"language":"default","tag":"Integrations","count":8},{"language":"default","tag":"Perplexity","count":6},{"language":"default","tag":"Async tasks","count":5},{"language":"default","tag":"Copilot","count":5}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@cloro.dev"}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/endpoint/google/ai-overview/sources","slug":"/api-reference/endpoint/google/ai-overview/sources","pageMetadata":{"title":"Google AI Overview sources schema","sidebarTitle":"Sources","description":"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.","href":"/api-reference/endpoint/google/ai-overview/sources"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Frame,Heading,OptimizedImage,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This section documents the `,_jsx(_components.strong,{children:`sources`}),` data in the `,_jsx(_components.a,{href:`/api-reference/endpoint/google/ai-overview`,children:`Google AI Overview`}),`: the pages Google cites in the AI Overview answer. It is returned by the `,_jsx(_components.a,{href:`/api-reference/endpoint/monitor-google`,children:`Google Search endpoint`}),` when you set `,_jsx(_components.code,{children:`include.aioverview`}),`, so no separate API call is needed.`]}),`\n`,_jsx(Frame,{caption:`Sources in AI Overview`,children:_jsx(OptimizedImage,{src:`https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=b346351fb5672195a30d0d521993fdaa`,alt:`Sources in AI Overview`,\"data-og-width\":`896`,width:`896`,\"data-og-height\":`1144`,height:`1144`,\"data-path\":`images/google/aioverview-sources.webp`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=280\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=db407803e2c991c58a4c76e0a1bc7d25 280w, https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=560\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=85783a6eef3299fb03d895d753d61f2c 560w, https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=840\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=57061a6d8311d9543c7b0d6334afc0ec 840w, https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=1100\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=bdd39e59b0c8de6cb024a3672836f9c5 1100w, https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=1650\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=609746acdd882b72d6d53435c7984d7e 1650w, https://mintcdn.com/cloro/Qv2xgJAgMecwTTRq/images/google/aioverview-sources.webp?w=2500\u0026fit=max\u0026auto=format\u0026n=Qv2xgJAgMecwTTRq\u0026q=85\u0026s=5388f3e0461d9e68835fd1cee79bf2dc 2500w`})}),`\n`,_jsx(Heading,{level:`2`,id:`source-structure`,children:`Source structure`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`result.aioverview.sources`}),` follows the `,_jsx(_components.a,{href:`/guides/making-requests/sync#sources-array-structure`,children:`common sources structure`}),`.`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`position`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`Position of the source (1-indexed)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`url`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`URL of the source`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`label`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Title of the source`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`description`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Snippet Google shows for the source`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`response-example`,children:`Response example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`15`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`15`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"aioverview\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sources\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"position\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/best-dev-laptops\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Best laptops for developers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Guide to laptops for software development.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Google AI Overview sources schema","sidebarTitle":"Sources","description":"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.","href":"/api-reference/endpoint/google/ai-overview/sources"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Source structure","slug":"source-structure","depth":2,"children":[]},{"title":"Response example","slug":"response-example","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"cloro","siteName":"cloro","title":"Google AI Overview sources schema - cloro","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-04T22:28:36.719Z","originalFileLocation":"api-reference/endpoint/google/ai-overview/sources.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\">\u003cmeta data-mint-head name=\"application-name\" content=\"cloro\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Google AI Overview sources schema - cloro\">\u003cmeta data-mint-head property=\"og:description\" content=\"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"cloro\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cloro.mintlify.app/_mintlify/api/og/v2?division=AI+Overview\u0026amp;title=Google+AI+Overview+sources+schema\u0026amp;description=Schema+for+the+sources+cited+in+the+Google+AI+Overview%2C+including+position%2C+URL%2C+label%2C+and+description.\u0026amp;theme=e60a6bd41fc1516842c4eacb\u0026amp;signature=3d802683e01e9974d82b3b8aa56f2c385939527e3bebd7a98d746ae097eb1cf8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Google AI Overview sources schema - cloro\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cloro.mintlify.app/_mintlify/api/og/v2?division=AI+Overview\u0026amp;title=Google+AI+Overview+sources+schema\u0026amp;description=Schema+for+the+sources+cited+in+the+Google+AI+Overview%2C+including+position%2C+URL%2C+label%2C+and+description.\u0026amp;theme=e60a6bd41fc1516842c4eacb\u0026amp;signature=3d802683e01e9974d82b3b8aa56f2c385939527e3bebd7a98d746ae097eb1cf8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/cloro/4KOv8pRhaY1jvVpr/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"cloro\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#60A5FA\">\u003clink data-mint-head rel=\"canonical\" href=\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/endpoint/google/ai-overview/sources.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://cloro.dev/#organization\",\"name\":\"cloro\",\"url\":\"https://cloro.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cloro/31REGvIJOWq8_kV2/logo/light.svg?fit=max\u0026auto=format\u0026n=31REGvIJOWq8_kV2\u0026q=85\u0026s=9649c139f2768786bbd491a86c1a9dd9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://cloro.dev/docs#website\",\"name\":\"cloro\",\"url\":\"https://cloro.dev/docs\",\"publisher\":{\"@id\":\"https://cloro.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources#webpage\",\"url\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources\",\"name\":\"Google AI Overview sources schema\",\"description\":\"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\",\"dateModified\":\"2026-11-04T22:28:36.719Z\",\"isPartOf\":{\"@id\":\"https://cloro.dev/docs#website\"},\"breadcrumb\":{\"@id\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Google\",\"item\":\"https://cloro.dev/docs/api-reference/endpoint/monitor-google\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"AI Overview\",\"item\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Google AI Overview sources schema\",\"item\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources#article\",\"headline\":\"Google AI Overview sources schema\",\"name\":\"Google AI Overview sources schema\",\"description\":\"Schema for the sources cited in the Google AI Overview, including position, URL, label, and description.\",\"url\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources\",\"mainEntityOfPage\":{\"@id\":\"https://cloro.dev/docs/api-reference/endpoint/google/ai-overview/sources#webpage\"},\"dateModified\":\"2026-11-04T22:28:36.719Z\",\"publisher\":{\"@id\":\"https://cloro.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://cloro.dev/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"cloro\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"cloro","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":""}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Overview","pages":[{"title":"API reference","href":"/api-reference/introduction"}]},{"group":"ChatGPT","pages":[{"title":"Extract ChatGPT","openapi":"api-reference/openapi.json POST /v1/monitor/chatgpt","href":"/api-reference/endpoint/monitor-chatgpt"},{"title":"ChatGPT sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/chatgpt/sources"},{"title":"ChatGPT shopping cards schema","sidebarTitle":"Shopping cards","tag":"Unavailable","href":"/api-reference/endpoint/chatgpt/shopping-cards"},{"title":"ChatGPT inline products schema","sidebarTitle":"Inline products","href":"/api-reference/endpoint/chatgpt/inline-products"},{"title":"ChatGPT product details schema","sidebarTitle":"Product details","href":"/api-reference/endpoint/chatgpt/product-details"},{"title":"ChatGPT entities schema","sidebarTitle":"Entities","href":"/api-reference/endpoint/chatgpt/entities"},{"title":"ChatGPT map entries schema","sidebarTitle":"Map entries","href":"/api-reference/endpoint/chatgpt/map"},{"title":"ChatGPT citation pills schema","sidebarTitle":"Citation pills","href":"/api-reference/endpoint/chatgpt/citation-pills"},{"title":"ChatGPT follow-up form schema","sidebarTitle":"Follow-up form","href":"/api-reference/endpoint/chatgpt/follow-up-form"},{"title":"ChatGPT sponsored ads schema","sidebarTitle":"Ads","href":"/api-reference/endpoint/chatgpt/ads"}]},{"group":"Google","pages":[{"title":"Extract Google Search","openapi":"api-reference/openapi.json POST /v1/monitor/google","href":"/api-reference/endpoint/monitor-google"},{"title":"Resolve a Google redirect link","sidebarTitle":"Redirect links","openapi":"api-reference/openapi.json POST /v1/monitor/google/goto","href":"/api-reference/endpoint/google/resolve-goto"},{"title":"Google organic search results schema","sidebarTitle":"Organic results","href":"/api-reference/endpoint/google/organic-results"},{"title":"Google Search sponsored ads schema","sidebarTitle":"Sponsored ads","href":"/api-reference/endpoint/google/sponsored-ads"},{"title":"Google Search shopping cards schema","sidebarTitle":"Shopping cards","href":"/api-reference/endpoint/google/shopping-cards"},{"title":"Get a Google shopping card product","sidebarTitle":"Shopping card product","openapi":"api-reference/openapi.json POST /v1/monitor/google/product","href":"/api-reference/endpoint/google/product"},{"title":"Google Search product results schema","sidebarTitle":"Product results","href":"/api-reference/endpoint/google/product-results"},{"title":"Google People Also Ask schema","sidebarTitle":"People Also Ask","href":"/api-reference/endpoint/google/people-also-ask"},{"title":"Google People Are Saying schema","sidebarTitle":"People Are Saying","href":"/api-reference/endpoint/google/people-are-saying"},{"title":"Google Recipes schema","sidebarTitle":"Recipes","href":"/api-reference/endpoint/google/recipes"},{"title":"Google Local Pack schema","sidebarTitle":"Local Pack","href":"/api-reference/endpoint/google/local-pack"},{"title":"Google related searches schema","sidebarTitle":"Related searches","href":"/api-reference/endpoint/google/related-searches"},{"group":"AI Overview","root":{"title":"Google AI Overview schema","sidebarTitle":"AI Overview","description":"AI Overview data returned by the Google Search endpoint, including text, markdown, sources, citation pills, related links, videos, and sponsored ads.","href":"/api-reference/endpoint/google/ai-overview"},"pages":[{"title":"Google AI Overview sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/google/ai-overview/sources"},{"title":"Google AI Overview citation pills schema","sidebarTitle":"Citation pills","description":"Schema for the inline citation pills in the Google AI Overview, one entry per cited source.","href":"/api-reference/endpoint/google/ai-overview/citation-pills"},{"title":"Google AI Overview related links schema","sidebarTitle":"Related links","href":"/api-reference/endpoint/google/ai-overview/related-links"},{"title":"Google AI Overview places and map schema","sidebarTitle":"Places and map","href":"/api-reference/endpoint/google/ai-overview/places-and-map"},{"title":"Google AI Overview videos schema","sidebarTitle":"Videos","href":"/api-reference/endpoint/google/ai-overview/videos"},{"title":"Google AI Overview ads schema","sidebarTitle":"Ads","href":"/api-reference/endpoint/google/ai-overview/ads"}]},{"title":"Google Knowledge Graph schema","sidebarTitle":"Knowledge Graph","href":"/api-reference/endpoint/google/knowledge-graph"}]},{"group":"Perplexity","pages":[{"title":"Extract Perplexity","openapi":"api-reference/openapi.json POST /v1/monitor/perplexity","href":"/api-reference/endpoint/monitor-perplexity"},{"title":"Perplexity sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/perplexity/sources"},{"title":"Perplexity citation pills schema","sidebarTitle":"Citation pills","href":"/api-reference/endpoint/perplexity/citation-pills"},{"title":"Perplexity shopping cards schema","sidebarTitle":"Shopping cards","href":"/api-reference/endpoint/perplexity/shopping-cards"},{"title":"Perplexity media results schema","sidebarTitle":"Media","href":"/api-reference/endpoint/perplexity/media"},{"title":"Perplexity travel and places schema","sidebarTitle":"Travel and places","href":"/api-reference/endpoint/perplexity/travel-and-places"}]},{"group":"Copilot","pages":[{"title":"Extract Microsoft Copilot","openapi":"api-reference/openapi.json POST /v1/monitor/copilot","href":"/api-reference/endpoint/monitor-copilot"},{"title":"Microsoft Copilot sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/copilot/sources"},{"title":"Microsoft Copilot citation pills schema","sidebarTitle":"Citation pills","href":"/api-reference/endpoint/copilot/citation-pills"},{"title":"Microsoft Copilot shopping cards schema","sidebarTitle":"Shopping cards","href":"/api-reference/endpoint/copilot/shopping-cards"},{"title":"Microsoft Copilot map entries schema","sidebarTitle":"Map entries","href":"/api-reference/endpoint/copilot/map-entries"}]},{"group":"AI Mode","pages":[{"title":"Extract Google AI Mode","openapi":"api-reference/openapi.json POST /v1/monitor/aimode","href":"/api-reference/endpoint/monitor-aimode"},{"title":"Google AI Mode sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/aimode/sources"},{"title":"Google AI Mode citation pills schema","sidebarTitle":"Citation pills","href":"/api-reference/endpoint/aimode/citation-pills"},{"title":"Google AI Mode places schema","sidebarTitle":"Places","href":"/api-reference/endpoint/aimode/places"},{"title":"Google AI Mode shopping cards schema","sidebarTitle":"Shopping cards","href":"/api-reference/endpoint/aimode/shopping-cards"},{"title":"Google AI Mode product results schema","sidebarTitle":"Product results","href":"/api-reference/endpoint/aimode/product-results"},{"title":"Google AI Mode ads schema","sidebarTitle":"Ads","href":"/api-reference/endpoint/aimode/ads"},{"title":"Google AI Mode inline products schema","sidebarTitle":"Inline products","href":"/api-reference/endpoint/aimode/inline-products"},{"title":"Google AI Mode videos schema","sidebarTitle":"Videos","href":"/api-reference/endpoint/aimode/videos"},{"title":"Google AI Mode map schema","sidebarTitle":"Map","href":"/api-reference/endpoint/aimode/map"}]},{"group":"Gemini","pages":[{"title":"Extract Google Gemini","openapi":"api-reference/openapi.json POST /v1/monitor/gemini","href":"/api-reference/endpoint/monitor-gemini"},{"title":"Google Gemini sources schema","sidebarTitle":"Sources","href":"/api-reference/endpoint/gemini/sources"},{"title":"Google Gemini citation pills schema","sidebarTitle":"Citation pills","href":"/api-reference/endpoint/gemini/citation-pills"},{"title":"Google Gemini places schema","sidebarTitle":"Places","href":"/api-reference/endpoint/gemini/places"},{"title":"Google Gemini shopping cards schema","sidebarTitle":"Shopping cards","href":"/api-reference/endpoint/gemini/shopping-cards"}]},{"group":"Google News","pages":[{"title":"Extract Google News","openapi":"api-reference/openapi.json POST /v1/monitor/google/news","href":"/api-reference/endpoint/monitor-google-news"},{"title":"Google News articles schema","sidebarTitle":"News articles","href":"/api-reference/endpoint/google-news/news-articles"}]},{"group":"Async tasks","pages":[{"title":"Create async task","openapi":"api-reference/openapi.json POST /v1/async/task","href":"/api-reference/endpoint/create-async-task"},{"title":"Get task status","openapi":"api-reference/openapi.json GET /v1/async/task/{taskId}","href":"/api-reference/endpoint/get-task-status"},{"title":"Create batch tasks","openapi":"api-reference/openapi.json POST /v1/async/task/batch","href":"/api-reference/endpoint/create-batch-tasks"},{"title":"Get async status","openapi":"api-reference/openapi.json GET /v1/async/status","href":"/api-reference/endpoint/get-async-status"},{"title":"Clear queue","openapi":"api-reference/openapi.json DELETE /v1/async/queue","href":"/api-reference/endpoint/clear-async-queue"}]},{"group":"Utilities","pages":[{"title":"List of countries","openapi":"api-reference/openapi.json GET /v1/countries","href":"/api-reference/endpoint/countries"},{"title":"List of states","openapi":"api-reference/openapi.json GET /v1/states","href":"/api-reference/endpoint/states"},{"title":"Get credit balance","openapi":"api-reference/openapi.json GET /v1/credits","href":"/api-reference/endpoint/get-credits"}]}]},{"tab":"Changelog","icon":"newspaper","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"Google AI Overview sources schema - cloro","buildId":"dpl_9yaRmq8qi7yyMZn9oEWmKEdYMvGZ","deploymentId":"dpl_9yaRmq8qi7yyMZn9oEWmKEdYMvGZ","dynamics":["07c022d89b","a74be98ba7"],"chunks":["Frame-DcbodgP9.js","DynamicMarkdown-BBrVIqs3.js","zoom-image-lightbox-BB8grMv9.js","lightbox-handle-r17bVUz3.js"]}